## CongEditorAreaSpanTag

CongEditorAreaSpanTag —

## Synopsis

    struct      CongEditorAreaSpanTag;
    #define     CONG_EDITOR_AREA_SPAN_TAG       (obj)
    #define     CONG_EDITOR_AREA_SPAN_TAG_CLASS (klass)
    #define     IS_CONG_EDITOR_AREA_SPAN_TAG    (obj)
    GType       cong_editor_area_span_tag_get_type
                                                (void);
    CongEditorArea* cong_editor_area_span_tag_construct
                                                (CongEditorAreaSpanTag *area_span_tag,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongDispspecElement *ds_element,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text,
                                                 gboolean is_at_start,
                                                 gboolean is_at_end);
    CongEditorArea* cong_editor_area_span_tag_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongDispspecElement *ds_element,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text,
                                                 gboolean is_at_start,
                                                 gboolean is_at_end);

## Object Hierarchy

      GObject
       +----CongEditorArea
             +----CongEditorAreaContainer
                   +----CongEditorAreaBin
                         +----CongEditorAreaSpanTag

## Description

## Details

### struct CongEditorAreaSpanTag

    struct CongEditorAreaSpanTag;

### CONG_EDITOR_AREA_SPAN_TAG()

    #define CONG_EDITOR_AREA_SPAN_TAG(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_EDITOR_AREA_SPAN_TAG_TYPE, CongEditorAreaSpanTag)

`obj` : |

### CONG_EDITOR_AREA_SPAN_TAG_CLASS()

    #define CONG_EDITOR_AREA_SPAN_TAG_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_EDITOR_AREA_SPAN_TAG_TYPE, CongEditorAreaSpanTagClass)

`klass` : |

### IS_CONG_EDITOR_AREA_SPAN_TAG()

    #define IS_CONG_EDITOR_AREA_SPAN_TAG(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_EDITOR_AREA_SPAN_TAG_TYPE)

`obj` : |

### cong_editor_area_span_tag_get_type ()

    GType       cong_editor_area_span_tag_get_type
                                                (void);

Returns : |

### cong_editor_area_span_tag_construct ()

    CongEditorArea* cong_editor_area_span_tag_construct
                                                (CongEditorAreaSpanTag *area_span_tag,
                                                 CongEditorWidget3 *editor_widget,
                                                 CongDispspecElement *ds_element,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text,
                                                 gboolean is_at_start,
                                                 gboolean is_at_end);

TODO: Write me

`area_span_tag` : |
`editor_widget` : |
`ds_element` : |
`pixbuf` : |
`text` : |
`is_at_start` : |
`is_at_end` : |
Returns : |

### cong_editor_area_span_tag_new ()

    CongEditorArea* cong_editor_area_span_tag_new
                                                (CongEditorWidget3 *editor_widget,
                                                 CongDispspecElement *ds_element,
                                                 GdkPixbuf *pixbuf,
                                                 const gchar *text,
                                                 gboolean is_at_start,
                                                 gboolean is_at_end);

TODO: Write me

`editor_widget` : |
`ds_element` : |
`pixbuf` : |
`text` : |
`is_at_start` : |
`is_at_end` : |
Returns : |